package forgepb

import (
	"go.wit.com/log"
)

var FORGEPB *log.LogFlag
var FORGEPBWARN *log.LogFlag

func init() {
	full := "go.wit.com/lib/protobuf/forgepb"
	short := "forgepb"

	FORGEPB = log.NewFlag("FORGEPB", false, full, short, "general forgepb things")
	FORGEPBWARN = log.NewFlag("FORGEPBWARN", true, full, short, "forgepb warnings")
}
